#version 110

uniform sampler2D DiffuseSampler;

varying vec2 texCoord;
varying vec2 oneTexel;

void main() {

    vec4 InTexel = texture2D(DiffuseSampler, texCoord);
    if(InTexel.r + InTexel.g + InTexel.b == 0.0) gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
    else gl_FragColor = InTexel;
    
}